Ads
Disconnect messaging ads connection
Permanently disconnects a messaging-ads connection for a channel integration. Use ads.listConnections to find it first.
DELETE
/
v1
/
ads
/
connections
/
{channel}
/
{integrationId}
Disconnect messaging ads connection
curl --request DELETE \
--url https://app.chatbotx.io/api/v1/ads/connections/{channel}/{integrationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/ads/connections/{channel}/{integrationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/ads/connections/{channel}/{integrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "notFound",
"status": 404,
"message": "Resource not found",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Channel the integration belongs to.
Available options:
messenger, instagram, whatsapp Channel integration id (numeric string).
Pattern:
^\d+$Response
OK
The response is of type any.
Was this page helpful?
⌘I
Disconnect messaging ads connection
